Navi 21 on stable/13

Someone already posted on this, but they marked it at solved. graphics/gpu-firmware-amd-kmod lists "sienna_cichlid" which is code for the Navi 21 cards. Has anyone gotten this to work? I compiled drm-510-kmod and gpu-firmware-kmod. Loading the amdgpu module is successful. I also built xf86-video-amdgpu from ports, x still fails and there's no /dev/dri/card0. Tried to go without xf86-video-amdgpu too since it isn't listed as a step in the wiki.

The error I get right now:

(EE) Cannot run in framebuffer mode. Please specify busIDs for all framebuffer devices
 
The error I get right now:

(EE) Cannot run in framebuffer mode. Please specify busIDs for all framebuffer devices
I just saw that myself. I was messing with i915drm driver and disabled it to run X with scfb driver.

That is the exact message I saw. So I assumed this was EFI BIOS problem because EFI GOP is part of my BIOS.

EFI BIOS provides GOP for SCFB driver to work.
you must set the mode as well to circumvent some buggy UEFI firmware.

So for your case that means the amd driver is not loading and it is falling back to SCFB.
SCFB is failing because of bios issue. That is my best guess.

Now that you have me thinking maybe setting GOP in loader would help get SCFB running....
 

Alexander88207

Enthusiast
Hello stratacast1,

the firmware is provided separately, it can became available earlier than the support from the drm-fbsd drivers.

I do also wait for support for RX 6700 XT.

For our cards the support appeared around 5.11, but for sure it should working with 5.13+.

You can follow the development here.
 
Hello stratacast1,

the firmware is provided separately, it can became available earlier than the support from the drm-fbsd drivers.

I do also wait for support for RX 6700 XT.

For our cards the support appeared around 5.11, but for sure it should working with 5.13+.

You can follow the development here.
Shucks. I thought it was 5.10. I had seen that floating around at least. I've been tracking it, thought 5.10 was going to be the golden ticket. I suppose it will be another 1-2 years before FreeBSD can work with these cards then.
 
Top